%define  patch_name kernel-fix-net

Name: %patch_name
Version: 2006.10.24
Release: alt1

Summary: %patch_name kernel patch - Linux network layer fixes
License: GPL
Group: Development/Kernel
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

%source  0	2.4_00_irlan-makefile-fix.patch			2.4
%source  1	2.4_01_module_license.patch			2.4
%source  2	2.4_02_8021q-proc-update.patch			2.4

%source 2634	2.6_34_SO_BINDTODEVICE.patch				2.6
%source 2635	2.6_35_conntrack_netlink-expectation.patch		2.6
%source 2636	2.6_36_fib_trie.c-node-freeing-fix.patch		2.6
%source 2637	2.6_37_netfilter-bridge-frag.patch			2.6
%source 2638	2.6_38_netdev-sysfs-race.patch				2.6
%source 2639	2.6_39_atm-clip-unregister-hang.patch			2.6
%source 2640	2.6_40_tcp-truesize-underflow.patch			2.6
%source 2641	2.6_41_ipv6-hop-by-hop-options.patch			2.6
%source 2642	2.6_42_ipv6-xfrm-stale-pointer.patch			2.6
%source 2643	2.6_43_ipv6-xfrm-extension-header.patch			2.6
%source 2644	2.6_44_ipv6-source-addr-sel.patch			2.6
%source 2645	2.6_45_ipv6-addrconf-without-privacy.patch		2.6
%source 2646	2.6_46_sctp-reject-broadcast.patch			2.6
%source 2647	2.6_47_sctp-fix-slowdown.patch				2.6
%source 2648	2.6_48_sctp-limit-max_retrans.patch			2.6
%source 2649	2.6_49_sctp-reset-rtt_in_progress.patch			2.6
%source 2650	2.6_50_sctp-1-window-update-per-msg.patch		2.6
%source 2651	2.6_51_ulog-smp-panic.patch				2.6
%source 2652	2.6_52_ipt_do_table-locking.patch			2.6
%source 2653	2.6_53_ethtool-ufo-typo.patch				2.6
%source 2654	2.6_54_ethtool_set_pauseparam-oops.patch		2.6
%source 2655	2.6_55_ipv6-sticky-socket-options.patch			2.6
%source 2656	2.6_56_pktgen-with-bonding-oops.patch			2.6
%source 2657	2.6_57_pktgen-fill_packet_ipv6-fix.patch		2.6
%source 2658	2.6_58_pfkeyv2-sadb_x_kmprivate-type.patch		2.6
%source 2659	2.6_59_ipv6-sum-real-space-for-rtas.patch		2.6
%source 2660	2.6_60-pkt_sched-cls_basic-handle-unsigned.patch	2.6


BuildArch: noarch
BuildRequires: kernel-build-tools

%description
Linux network layer fixes

%install
%install_patches

%files
%_usrsrc/*

%changelog
* Tue Oct 24 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.10.24-alt1
- Added patches for 2.6.16:
  + 2.6_58_pfkeyv2-sadb_x_kmprivate-type.patch: pfkeyv2: fix inconsistent
    typing in struct sadb_x_kmprivate
  + 2.6_59_ipv6-sum-real-space-for-rtas.patch: ipv6: Sum real space for RTAs
    (fixes RTNLGRP_IPV6_IFINFO netlink notifications)
  + 2.6_60-pkt_sched-cls_basic-handle-unsigned.patch: pkt_sched: cls_basic: use
    unsigned int when generating handle

* Sun Sep 10 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.09.10-alt1
- Added patches for 2.6.16:
  + 2.6_44_ipv6-source-addr-sel.patch: ipv6: fix source address selection
  + 2.6_45_ipv6-addrconf-without-privacy.patch: ipv6 addrconf: fix default
    source address selection without CONFIG_IPV6_PRIVACY
  + 2.6_46_sctp-reject-broadcast.patch: sctp: reject packets with broadcast
    addresses
  + 2.6_47_sctp-fix-slowdown.patch: sctp: fix persistent slowdown when a gap
    ack consumes rx buffer
  + 2.6_48_sctp-limit-max_retrans.patch: sctp: limit association max_retrans
    setting in setsockopt
  + 2.6_49_sctp-reset-rtt_in_progress.patch: sctp: reset rtt_in_progress for
    the chunk when processing its sack
  + 2.6_50_sctp-1-window-update-per-msg.patch: sctp: send only 1 window update
    SACK per message
  + 2.6_51_ulog-smp-panic.patch: ulog: fix panic on SMP kernels
  + 2.6_52_ipt_do_table-locking.patch: ip_tables: fix locking in ipt_do_table
  + 2.6_53_ethtool-ufo-typo.patch: ethtool: fix ETHTOOL_GUFO typo
  + 2.6_54_ethtool_set_pauseparam-oops.patch: ethtool: fix oops in
    ethtool_set_pauseparam()
  + 2.6_55_ipv6-sticky-socket-options.patch: ipv6: fix kernel oops when setting
    sticky socket options
  + 2.6_56_pktgen-with-bonding-oops.patch: pktgen: fix oops when used with
    balance-tlb bonding due to uninitialized skb->{nh,h}
  + 2.6_57_pktgen-fill_packet_ipv6-fix.patch: pktgen: make sure skb->{nh,h} are
    initialized in fill_packet_ipv6() too
- Removed obsolete patches for kernel 2.6.14:
  - 2.6_00_fix-zero-size-datagram-reception.patch
  - 2.6_01_ipvs-fix-connection-leak.patch
  - 2.6_02_tcp-bic-max-increment-too-large.patch
  - 2.6_03_ctnetlink-check-if-protoinfo-is-present.patch
  - 2.6_04_ctnetlink-fix-oops-when-no-icmp-id-info-in-message.patch
  - 2.6_05_fix-calculation-of-ah-length-during.patch
  - 2.6_06_fix-memory-management-error-during.patch
  - 2.6_07_fix-sending-extension-headers-before.patch
  - 2.6_08_ip_conntrack-fix-ftp-irc-tftp-helpers-on-large-ports.patch
  - 2.6_09_ip_conntrack-tcp-accept-syn+push-like-syn.patch
  - 2.6_10_nat-fix-module-refcount-droppoing-too-far.patch
  - 2.6_11_nf_queue-fix-oops-when-no-queue-handler-registered.patch
  - 2.6_12_pptp-helper-fix-endianness-bug-in-gre-key-callid-nat.patch
  - 2.6_13_pptp-helper-fix-pns-pac-expectation-call-id.patch
  - 2.6_14_recount-leak-of-proto-when-ctnetlink-dumping-tuple.patch
  - 2.6_15_fib_lookup-netlink.patch
  - 2.6_16_bonding-feature-consolidation.patch
  - 2.6_17_bridge-recompute-features.patch
  - 2.6_18_ctnetlink-cta_proto_num.patch
  - 2.6_19_ctnetlink-read_unlock_bh.patch
  - 2.6_20_gre-checksum-modification.patch
  - 2.6_21_fix-vlan-checksumming.patch
  - 2.6_22_fix-nat-init-order.patch
  - 2.6_23_IP6_NF_TARGET_NFQUEUE-deps.patch
  - 2.6_24_rtnetlink-fix-RTNLGRP-defs.patch
  - 2.6_25_bridge-nf-ipv6-length.patch
  - 2.6_26_ipv6-fix-route-lifetime.patch
  - 2.6_27_ipsec-SA-switchover.patch
  - 2.6_28_IEEE80211_CRYPT_TKIP-deps.patch
  - 2.6_29_ebt_ip-fragments.patch
  - 2.6_30_netlink-create-oops.patch
  - 2.6_31_get_wireless_stats-sysfs.patch
  - 2.6_32_skb_reserve-signed-arg.patch
  - 2.6_33_ppp-rx-csum.patch
- Removed useless "apply_to_2.6.16" marks.

* Sun Apr 23 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.04.23-alt1
- Added patches for 2.6.16:
  + 2.6_39_atm-clip-unregister-hang.patch: atm: clip causes unregister hang
  + 2.6_40_tcp-truesize-underflow.patch: tcp: fix truesize underflow with TSO
  + 2.6_41_ipv6-hop-by-hop-options.patch: ipv6: ensure to have hop-by-hop
    options in our header of sk_buff
  + 2.6_42_ipv6-xfrm-stale-pointer.patch: ipv6: xfrm: don't use old copy of
    pointer after pskb_may_pull()
  + 2.6_43_ipv6-xfrm-extension-header.patch: ipv6: xfrm: fix decoding session
    with preceding extension header(s)

* Wed Apr 12 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.04.12-alt1
- Added patches for 2.6.16:
  + 2.6_35_conntrack_netlink-expectation.patch: {ip,nf}_conntrack_netlink: fix
    expectation notifier unregistration
  + 2.6_36_fib_trie.c-node-freeing-fix.patch: fib_trie.c node freeing fix
  + 2.6_37_netfilter-bridge-frag.patch: netfilter: fix fragmentation issues
    with bridge netfilter
  + 2.6_38_netdev-sysfs-race.patch: fix hotplug race during device registration

* Sat Mar 25 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.03.25-alt1
- Updated for kernel 2.6.16.
- Marked old patches to be applied only to kernel 2.6.14:
  - 2.6_00_fix-zero-size-datagram-reception.patch
  - 2.6_01_ipvs-fix-connection-leak.patch
  - 2.6_02_tcp-bic-max-increment-too-large.patch
  - 2.6_03_ctnetlink-check-if-protoinfo-is-present.patch
  - 2.6_04_ctnetlink-fix-oops-when-no-icmp-id-info-in-message.patch
  - 2.6_05_fix-calculation-of-ah-length-during.patch
  - 2.6_06_fix-memory-management-error-during.patch
  - 2.6_07_fix-sending-extension-headers-before.patch
  - 2.6_08_ip_conntrack-fix-ftp-irc-tftp-helpers-on-large-ports.patch
  - 2.6_09_ip_conntrack-tcp-accept-syn+push-like-syn.patch
  - 2.6_10_nat-fix-module-refcount-droppoing-too-far.patch
  - 2.6_11_nf_queue-fix-oops-when-no-queue-handler-registered.patch
  - 2.6_12_pptp-helper-fix-endianness-bug-in-gre-key-callid-nat.patch
  - 2.6_13_pptp-helper-fix-pns-pac-expectation-call-id.patch
  - 2.6_14_recount-leak-of-proto-when-ctnetlink-dumping-tuple.patch
  - 2.6_15_fib_lookup-netlink.patch
  - 2.6_16_bonding-feature-consolidation.patch
  - 2.6_17_bridge-recompute-features.patch
  - 2.6_18_ctnetlink-cta_proto_num.patch
  - 2.6_19_ctnetlink-read_unlock_bh.patch
  - 2.6_20_gre-checksum-modification.patch
  - 2.6_21_fix-vlan-checksumming.patch
  - 2.6_22_fix-nat-init-order.patch
  - 2.6_23_IP6_NF_TARGET_NFQUEUE-deps.patch
  - 2.6_24_rtnetlink-fix-RTNLGRP-defs.patch
  - 2.6_25_bridge-nf-ipv6-length.patch
  - 2.6_26_ipv6-fix-route-lifetime.patch
  - 2.6_27_ipsec-SA-switchover.patch
  - 2.6_28_IEEE80211_CRYPT_TKIP-deps.patch
  - 2.6_29_ebt_ip-fragments.patch
  - 2.6_30_netlink-create-oops.patch
  - 2.6_31_get_wireless_stats-sysfs.patch
  - 2.6_32_skb_reserve-signed-arg.patch
  - 2.6_33_ppp-rx-csum.patch
- Added:
  + 2.6_34_SO_BINDTODEVICE.patch: ensure device name passed to SO_BINDTODEVICE
    is NULL terminated

* Thu Feb 09 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.02.09-alt1
- Added:
  + 2.6_33_ppp-rx-csum.patch: ppp: fix hardware RX checksum handling

* Tue Feb 07 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.02.07-alt1
- Added:
  + 2.6_29_ebt_ip-fragments.patch: ebtables: don't match tcp/udp
    source/destination port for IP fragments
  + 2.6_30_netlink-create-oops.patch: netlink: fix oops on socket creation
    failure
  + 2.6_31_get_wireless_stats-sysfs.patch: fix /sys/class/net/<if>/wireless
    without dev->get_wireless_stats
  + 2.6_32_skb_reserve-signed-arg.patch: make second arg to skb_reserve()
    signed (fixes PPP on 64-bit archs)

* Sat Jan 07 2006 Sergey Vlasov <vsu@altlinux.ru> 2006.01.07-alt1
- Added:
  + 2.6_15_fib_lookup-netlink.patch: fix processing of fib_lookup netlink
    messages
  + 2.6_16_bonding-feature-consolidation.patch: bonding: fix feature
    consolidation
  + 2.6_17_bridge-recompute-features.patch: bridge: recompute features when
    adding a new device
  + 2.6_18_ctnetlink-cta_proto_num.patch: netfilter: fix CTA_PROTO_NUM
    attribute size in ctnetlink
  + 2.6_19_ctnetlink-read_unlock_bh.patch: netfilter: fix unbalanced
    read_unlock_bh in ctnetlink
  + 2.6_20_gre-checksum-modification.patch: ip_gre: fix hardware checksum
    modification
  + 2.6_21_fix-vlan-checksumming.patch: vlan: fix hardware rx csum errors
  + 2.6_22_fix-nat-init-order.patch: netfilter: fix NAT init order
  + 2.6_23_IP6_NF_TARGET_NFQUEUE-deps.patch: netfilter: fix incorrect
    dependency for IP6_NF_TARGET_NFQUEUE
  + 2.6_24_rtnetlink-fix-RTNLGRP-defs.patch: rtnetlink: fix RTNLGRP definitions
    in rtnetlink.h
  + 2.6_25_bridge-nf-ipv6-length.patch: bridge-nf: fix ipv6 length check
  + 2.6_26_ipv6-fix-route-lifetime.patch: ipv6: fix route lifetime
  + 2.6_27_ipsec-SA-switchover.patch: ipsec: perform SA switchover immediately
  + 2.6_28_IEEE80211_CRYPT_TKIP-deps.patch: IEEE80211_CRYPT_TKIP depends on
    NET_RADIO

* Wed Nov 30 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.11.30-alt1
- Updated for kernel 2.6.14.
- Removed obsolete patches:
  - 2.6_01_netlink-socket-hashing.patch
  - 2.6_03_netfilter-conntrack-fix-fix.patch
  - 2.6_04_early-vlan-fix.patch
  - 2.6_05_ipsec-array-overflow.patch
  - 2.6_06_netfilter-NAT-memory-corruption.patch
  - 2.6_07_netfilter-deadlock-ip6_queue.patch
  - 2.6_08_netfilter-ip_conntrack_untracked-refcount.patch
  - 2.6_09_skb-signedness-fix.patch
- Added:
  + 2.6_00_fix-zero-size-datagram-reception.patch: fix zero-size datagram
    reception
  + 2.6_01_ipvs-fix-connection-leak.patch: ipvs: fix connection leak if
    expire_nodest_conn=1
  + 2.6_02_tcp-bic-max-increment-too-large.patch: tcp: fix too large BIC max
    increment
  + 2.6_03_ctnetlink-check-if-protoinfo-is-present.patch: ctnetlink: check if
    protoinfo is present
  + 2.6_04_ctnetlink-fix-oops-when-no-icmp-id-info-in-message.patch: ctnetlink:
    fix oops when no ICMP ID info in message
  + 2.6_05_fix-calculation-of-ah-length-during.patch: ipv6: fix calculation of
    AH length during filling ancillary data
  + 2.6_06_fix-memory-management-error-during.patch: ipv6: fix memory
    management error during setting up new advapi sockopts
  + 2.6_07_fix-sending-extension-headers-before.patch: ipv6: fix sending
    extension headers before and including routing header
  + 2.6_08_ip_conntrack-fix-ftp-irc-tftp-helpers-on-large-ports.patch:
    ip_conntrack: fix ftp/irc/tftp helpers on ports >= 32768
  + 2.6_09_ip_conntrack-tcp-accept-syn+push-like-syn.patch: ip_conntrack TCP:
    Accept SYN+PUSH like SYN
  + 2.6_10_nat-fix-module-refcount-droppoing-too-far.patch: NAT: fix module
    refcount dropping too far
  + 2.6_11_nf_queue-fix-oops-when-no-queue-handler-registered.patch: nf_queue:
    fix Ooops when no queue handler registered
  + 2.6_12_pptp-helper-fix-endianness-bug-in-gre-key-callid-nat.patch: PPTP
    helper: fix endianness bug in GRE key / CallID NAT
  + 2.6_13_pptp-helper-fix-pns-pac-expectation-call-id.patch: PPTP helper: fix
    PNS-PAC expectation call id
  + 2.6_14_recount-leak-of-proto-when-ctnetlink-dumping-tuple.patch: refcount
    leak of proto when ctnetlink dumping tuple

* Sun Aug 14 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.08.14-alt1
- Added:
  + 2.6_04_early-vlan-fix.patch: fix early vlan adding leads to not functional
    device
  + 2.6_05_ipsec-array-overflow.patch: xfrm: fix possible overflow of
    sock->sk_policy
  + 2.6_06_netfilter-NAT-memory-corruption.patch: fix potential memory
    corruption in NAT code
  + 2.6_07_netfilter-deadlock-ip6_queue.patch: fix deadlock in ip6_queue
  + 2.6_08_netfilter-ip_conntrack_untracked-refcount.patch: wait until all
    references to ip_conntrack_untracked are dropped on unload
  + 2.6_09_skb-signedness-fix.patch: fix signedness issues in net/core/filter.c

* Mon Jul 25 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.07.25-alt1
- Removed:
  - 2.6_00_netfilter-bridge-fix.patch (broken)
- Added:
  + 2.6_03_netfilter-conntrack-fix-fix.patch: revert the nf_reset change
    completely (previous fix was not enough); drop conntrack references
    manually before packets are queued to packet sockets

* Sat Jul 02 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.07.02-alt1
- Updated for kernel 2.6.12.
- Removed obsolete patches:
  - 2.6_00_export-tcp_timer_bug_msg.patch
  - 2.6_01_netrom-locking-fix.patch
  - 2.6_02_proc-net-route-oops.patch
  - 2.6_03_fix-__xfrm_find_acq_byseq.patch
  - 2.6_04_ipsec-deadlock.patch
  - 2.6_05_tcp-bic-fix.patch
  - 2.6_06_ebtables-fix-smp-race.patch
  - 2.6_07_rose-verify-ndigis.patch
  - 2.6_08_bridge-fdb-postfilter.patch
  - 2.6_09_netem-duplication-fix.patch
  - 2.6_10_netfilter-ip_queue-deadlock-fix.patch
- Added:
  + 2.6_00_netfilter-bridge-fix.patch: fix connection tracking on bridges
  + 2.6_01_netlink-socket-hashing.patch: fix socket hashing bugs in netlink

* Mon Jun 13 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.06.13-alt1
- Added patches for 2.6:
  + 2.6_08_bridge-fdb-postfilter.patch: avoid poisoning of the bridge
    forwarding table by frames that have been dropped by filtering
  + 2.6_09_netem-duplication-fix.patch: netem: avoid infinite loop in
    qdisc_run() when using duplication
  + 2.6_10_netfilter-ip_queue-deadlock-fix.patch: fix deadlock with ip_queue
    and tcp local input path

* Fri May 13 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.05.13-alt1
- Added patches for 2.6:
  + 2.6_06_ebtables-fix-smp-race.patch: fix smp race under heavy load
  + 2.6_07_rose-verify-ndigis.patch: verify ndigis in rose_rt_ioctl()

* Tue May 10 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.05.10-alt1
- Added patches for 2.6:
  + 2.6_04_ipsec-deadlock.patch: fix deadlock in IPsec when sending ICMP
    "fragmentation needed" packet
  + 2.6_05_tcp-bic-fix.patch: fix binary search in the BIC congestion control
    algorithm

* Tue Mar 29 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.03.29-alt1
- Added patches for 2.6:
  + 2.6_01_netrom-locking-fix.patch: fix deadlock in NetROM
  + 2.6_02_proc-net-route-oops.patch: fix crash while reading /proc/net/route
  + 2.6_03_fix-__xfrm_find_acq_byseq.patch: fix bug in IPSEC support

* Mon Mar 14 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.03.14-alt1
- Updated for kernel 2.6.11.
- Removed obsolete patches:
  - 2.6_00_008-sock_without_ipv6.patch
  - 2.6_00_009-ipt_ecn_corrupt_chksum.patch
  - 2.6_00_012-conntrack_standalone_proc_removal.patch
  - 2.6_00_013-conntrack_standalone_sysctl.patch
  - 2.6_00_017-conntrack_sctp_sysctl.patch
  - 2.6_00_018-ipt_recent_proc_remove.patch
  - 2.6_00_019-conntrack_tcp_RST_handling.patch
  - 2.6_00_021-sunrpc_check_before_kill.patch
  - 2.6_00_022-sunrpc_xdr_flush_pages.patch
  - 2.6_00_037-sctp_err_lookup_oops.patch
  - 2.6_00_040-sk_forward_alloc_underflow.patch
  - 2.6_00_046-ipv6_sit_lock.patch
  - 2.6_00_047-do_tcp_sendpages_tso_assertion.patch
  - 2.6_00_072-sctp_do_bind_random_port.patch
- Added:
  + 2.6_00_export-tcp_timer_bug_msg.patch: export tcp_timer_bug_msg for modular
    ipv6 build

* Wed Feb 09 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.02.09-alt1
- Added patches from 2.6.10-as3:
  + 2.6_00_008-sock_without_ipv6.patch
  + 2.6_00_009-ipt_ecn_corrupt_chksum.patch
  + 2.6_00_012-conntrack_standalone_proc_removal.patch
  + 2.6_00_013-conntrack_standalone_sysctl.patch
  + 2.6_00_017-conntrack_sctp_sysctl.patch
  + 2.6_00_018-ipt_recent_proc_remove.patch
  + 2.6_00_019-conntrack_tcp_RST_handling.patch
  + 2.6_00_021-sunrpc_check_before_kill.patch
  + 2.6_00_022-sunrpc_xdr_flush_pages.patch
  + 2.6_00_037-sctp_err_lookup_oops.patch
  + 2.6_00_040-sk_forward_alloc_underflow.patch
  + 2.6_00_046-ipv6_sit_lock.patch
  + 2.6_00_047-do_tcp_sendpages_tso_assertion.patch
  + 2.6_00_072-sctp_do_bind_random_port.patch

* Wed Dec 29 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.12.29-alt1
- Updated for kernel 2.6.10.
- Removed obsolete patches:
  - 2.6_50_ip-conntrack-depends-fix.patch

* Thu Oct 28 2004 Anton Farygin <rider@altlinux.ru> 2004.10.28-alt1
- Added for 2.6.9:
    - 2.6_50_ip-conntrack-depends-fix.patch

* Sun Oct 17 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.10.17-alt1
- Updated for kernel 2.4.27.
- Removed obsolete patches:
   - 02_msfilter-error.patch
   - 03_masquerade-ip_rt_put.patch
- Added:
   + 02_8021q-proc-update.patch: updated 8021q (VLAN) /proc support code (fixes
     /proc/net/vlan/config truncation with large number of VLANs; Bug #5296)

* Sun May 09 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.05.09-alt1
- Updated for kernel 2.4.26.
- Removed obsolete patches:
  - 02_ipt_ECN-unclone-fix.patch
  - 03_nat-unused.patch
  - 04_udp-no-EAGAIN.patch
  - 08_igmp-ip_mc_down.patch
  - 09_igmp-init-fix.patch
  - 10_ipv4-tcp_tw_put.patch
  - 11_ipv6-tcp_tw_put.patch
- Added:
  + 02_msfilter-error.patch: fix return value on MCAST_MSFILTER error case
  + 03_masquerade-ip_rt_put.patch: missing ip_rt_put in ipt_MASQUERADE

* Tue Apr 20 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.04.20-alt1
- Removed (moved to kernel-fix-security):
  - 05_igmp-msfilter-check.patch
  - 06_igmp-msfilter-check.patch
  - 07_export-sysctl_optmem_max.patch

* Sat Apr 03 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.04.03-alt1
- Added:
  + 08_igmp-ip_mc_down.patch: do nothing in ip_mc_down() if ip_mc_up() was not
    called previously
  + 09_igmp-init-fix.patch: fix IGMPv3 timer initialization when device not
    'upped'
  + 10_ipv4-tcp_tw_put.patch: use tcp_tw_put on time-wait sockets
  + 11_ipv6-tcp_tw_put.patch: use tcp_tw_put on time-wait sockets (IPv6)

* Thu Mar 18 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.03.18-alt1
- Added:
  + 02_ipt_ECN-unclone-fix.patch: fix ECN target cloned skb problem
  + 03_nat-unused.patch: kill unused structure member
  + 04_udp-no-EAGAIN.patch: do not return -EAGAIN on blocking UDP socket
  + 05_igmp-msfilter-check.patch: verify MSFILTER option length
  + 06_igmp-msfilter-check.patch: check for MSFILTER length overflow
  + 07_export-sysctl_optmem_max.patch: export sysctl_optmem_max to modules

* Mon Feb 23 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.02.23-alt1
- Updated for kernel 2.4.25.
- Removed obsolete patches (merged upstream):
  - 15_sock_queue_rcv_skb-len.patch
  - 16_econet-skb-leak.patch

* Mon Jan 19 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.01.19-alt1
- Updated for kernel 2.4.24.
- Removed obsolete patches (merged upstream):
  - 02_iproute2-build-fix.patch
  - 04_bridge-kfree_skb.patch
  - 05_bridge-checksum-fix.patch
  - 06_ipt_REJECT-OUTPUT-fix.patch
  - 07_igmp-ip_mc_list-deadlock.patch
  - 08_skb-unshare-before-mangling.patch
  - 09_vlan-shared-skb.patch
  - 10_ip_fragment-nfcache.patch
  - 11_ipv6-mcast-typo.patch
  - 12_ipt_REDIRECT-oops.patch
  - 13_destroy_conntrack-locking.patch
  - 14_conntrack-original-dst.patch

* Mon Dec 15 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.12.15-alt1
- Added:
  + 15_sock_queue_rcv_skb-len.patch: do not deref skb->len after it is
    queued to the socket.
  + 16_econet-skb-leak.patch: Do not leak SKBs if ec_queue_packet()
    fails.

* Sun Nov 09 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.09-alt1
- Added:
  + 13_destroy_conntrack-locking.patch
  + 14_conntrack-original-dst.patch
- Removed:
  - 03_nat-range-fix.patch (seems to uncover more problems in netfilter which
    are not yet fixed).

* Thu Nov 06 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.06-alt1
- Removed 02_kill_igmpv3.patch (replaced with another version which was
  accepted into 2.4.23-pre).
- Added:
  + 02_iproute2-build-fix.patch
  + 03_nat-range-fix.patch
  + 04_bridge-kfree_skb.patch
  + 05_bridge-checksum-fix.patch
  + 06_ipt_REJECT-OUTPUT-fix.patch
  + 07_igmp-ip_mc_list-deadlock.patch
  + 08_skb-unshare-before-mangling.patch
  + 09_vlan-shared-skb.patch
  + 10_ip_fragment-nfcache.patch
  + 11_ipv6-mcast-typo.patch
  + 12_ipt_REDIRECT-oops.patch

* Mon Sep 29 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.09.29-alt1
- added 02_kill_igmpv3.patch: hide IGMPv3 definitions from <linux/in.h> when
  included from userspace (workaround for #3053)

* Tue Sep 16 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.09.16-alt1
- added 01_module_license.patch: add missing MODULE_LICENSE

* Tue Jul 15 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.07.15-alt1
- added:
  + irlan-makefile-fix - avoid duplicate modules

